# -*- coding: utf-8; -*-
"""
Corporal Views
"""


def includeme(config):

    # core views
    config.include('corporal.web.views.common')
    config.include('tailbone.views.auth')
    config.include('tailbone.views.tables')
    config.include('tailbone.views.upgrades')
    config.include('tailbone.views.progress')

    # main table views
    config.include('tailbone.views.customergroups')
    config.include('tailbone.views.datasync')
    config.include('tailbone.views.email')
    config.include('tailbone.views.families')
    config.include('tailbone.views.members')
    config.include('tailbone.views.messages')
    config.include('tailbone.views.people')
    config.include('tailbone.views.reportcodes')
    config.include('tailbone.views.roles')
    config.include('tailbone.views.settings')
    config.include('tailbone.views.subdepartments')
    config.include('tailbone.views.shifts')
    config.include('tailbone.views.users')

    config.include('tailbone.views.stores')
    config.include('tailbone.views.customers')
    config.include('tailbone.views.employees')
    config.include('tailbone.views.taxes')
    config.include('tailbone.views.departments')
    config.include('tailbone.views.brands')
    config.include('tailbone.views.vendors')
    config.include('tailbone.views.products')

    # purchasing / receiving
    config.include('tailbone.views.purchases')
    config.include('tailbone.views.purchasing')

    # batch views
    config.include('tailbone.views.handheld')
    config.include('tailbone.views.batch.inventory')
